#define crypt_crc32 crypt_crc32_rm
#define crypt_crc32c crypt_crc32c_rm

#include "src/crypto_backend/crc32.c"

#undef crypt_crc32
#undef crypt_crc32c

#include <mbedtls-java.h>

uint32_t crypt_crc32(uint32_t seed, const unsigned char *buf, size_t len)
{
	if (hw_is_support(HW_SUPPORT_CRC32))
		return hw_crc32(seed, buf, len);
	else
		return compute_crc32(crc32_tab, seed, buf, len);
}

uint32_t crypt_crc32c(uint32_t seed, const unsigned char *buf, size_t len)
{
	if (hw_is_support(HW_SUPPORT_CRC32C))
		return hw_crc32c(seed, buf, len);
	else
		return compute_crc32(crc32c_tab, seed, buf, len);
}
